New 'patroller' user group for Meta-Wiki
Closed, ResolvedPublic

Description

This is, for now, a placeholder for what it is being discussed and supported at this RfC.

A new 'patroller' usergroup seems to be being approved by the community, with the following rights attached to it:

  • Have one's own edits automatically marked as patrolled (autopatrol)
  • Mark others' edits as patrolled (patrol)
  • View recent changes patrol marks (patrolmarks)
  • Quickly rollback the edits of the last user who edited a particular page (rollback)

I guess we'd like to discuss granting and removal requirements before this going live, but there's agreement that this permission be assigned and removed by administrators.

I'll work on this task.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptSep 17 2017, 11:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Consensus about the creation is achieved and only minor policy points are still pending discussion so I'll go ahead and patch this, although I won't schedule it for deployment until the whole thing is closed.

Change 378695 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Create a 'patroller' user group at Meta-Wiki

https://gerrit.wikimedia.org/r/378695

Base added a subscriber: Base.Sep 20 2017, 7:49 PM

Change 378695 merged by jenkins-bot:
[operations/mediawiki-config@master] Create a 'patroller' user group at Meta-Wiki

https://gerrit.wikimedia.org/r/378695

Mentioned in SAL (#wikimedia-operations) [2017-09-20T23:13:43Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Add patroller group on metawiki (T176079) (duration: 00m 48s)

MarcoAurelio closed this task as Resolved.Sep 20 2017, 11:24 PM
MarcoAurelio raised the priority of this task from Lowest to Low.
MarcoAurelio moved this task from ready to archive on the User-MarcoAurelio board.

Done.